Name:           python-py-xbrl
Version:        2.2.14
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Parser for parsing XBRL and iXBRL files (instance documents, taxonomy schemas, taxonomy linkbases).

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/manusimidt/xbrl_parser
Source:         %{pypi_source py_xbrl}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'py-xbrl' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-py-xbrl
Summary:        %{summary}

%description -n python3-py-xbrl %_description


%prep
%autosetup -p1 -n py_xbrl-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-py-xbrl -f %{pyproject_files}


%changelog
%autochangelog